<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/CLMainListPatient"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/gradientv1"
    tools:context=".Patients.PatientsListFragment">

    <!--    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout-->
    <!--        android:id="@+id/refreshLayout"-->
    <!--        android:layout_width="match_parent"-->
    <!--        android:layout_height="match_parent"-->
    <!--        android:layout_marginTop="16dp"-->
    <!--        app:layout_constraintBottom_toBottomOf="parent"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintStart_toStartOf="parent"-->
    <!--        app:layout_constraintTop_toTopOf="parent">-->

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/CLMainListPatient2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/imageView2"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/search"
            app:layout_constraintBottom_toBottomOf="@+id/cardView6"
            app:layout_constraintEnd_toStartOf="@+id/btnAddPatient"
            app:layout_constraintTop_toTopOf="@+id/cardView6" />

        <androidx.cardview.widget.CardView
            android:id="@+id/cardView6"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="16dp"
            app:cardBackgroundColor="#000000"
            app:cardCornerRadius="70dp"
            app:cardElevation="0dp"
            app:cardMaxElevation="0dp"
            app:layout_constraintEnd_toStartOf="@+id/imageView2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="MissingConstraints">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView5"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="1dp"
                    android:layout_marginTop="1dp"
                    android:layout_marginEnd="1dp"
                    android:layout_marginBottom="1dp"
                    app:cardBackgroundColor="#FFFFFF"
                    app:cardCornerRadius="70dp"
                    app:cardElevation="0dp"
                    app:cardMaxElevation="0dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="256dp"
                        android:layout_height="49dp">

                        <AutoCompleteTextView
                            android:id="@+id/searchPatient"
                            android:layout_width="0dp"
                            android:layout_height="40dp"
                            android:layout_marginStart="8dp"
                            android:layout_marginTop="2dp"
                            android:layout_marginEnd="8dp"
                            android:layout_marginBottom="2dp"
                            android:background="@null"
                            android:ems="10"
                            android:hint="Введите логин"
                            android:iconifiedByDefault="false"
                            android:inputType="text"
                            android:searchHintIcon="@null"
                            android:searchIcon="@null"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                </androidx.cardview.widget.CardView>
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/CLPatientList"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/cardView6">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/ConstrainLayoutProductEdit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <com.google.android.material.tabs.TabLayout
                    android:id="@+id/tabLayoutPatient"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="8dp"
                    android:layout_marginEnd="16dp"
                    android:background="#003E3E3E"
                    android:backgroundTint="#00AEAEAE"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:tabIconTint="#009E9E9E"
                    app:tabIndicator="@drawable/tab_indicator"
                    app:tabIndicatorAnimationMode="elastic"
                    app:tabIndicatorColor="@null"
                    app:tabIndicatorGravity="stretch"
                    app:tabMaxWidth="0dp"
                    app:tabRippleColor="#00515151"
                    app:tabSelectedTextColor="#FFFFFF"
                    app:tabTextColor="#6A6A6A">

                    <com.google.android.material.tabs.TabItem
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Активные"
                        tools:ignore="HardcodedText" />

                    <com.google.android.material.tabs.TabItem
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Без курса"
                        tools:ignore="HardcodedText" />


                </com.google.android.material.tabs.TabLayout>

                <androidx.viewpager2.widget.ViewPager2
                    android:id="@+id/vpPatient"
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:overScrollMode="never"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tabLayoutPatient" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/txtNullPatient"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="16dp"
                android:layout_marginEnd="16dp"
                android:layout_marginBottom="16dp"
                android:gravity="center"
                android:text="Пусто"
                android:textColor="#000000"
                android:textSize="24sp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/btnAddPatient"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_marginEnd="16dp"
            android:src="@drawable/add_patient_2"
            app:layout_constraintBottom_toBottomOf="@+id/imageView2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/imageView2" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>-->

</androidx.constraintlayout.widget.ConstraintLayout>